Update status experience
API Reference
Header Parameters
Content-Type
required
string
Content type of the request body.
Example: application/json
X-Account-Code
required
string
Account identifier code generated/configured by Gother.
X-Webhook-Timestamp
required
string
Timestamp when the request was generated. Used together with the signature to prevent replay attacks.
Example: 1787296551
X-Webhook-Id
required
string
Unique identifier for the request. Used for request tracking and idempotency.
Example: wh_12796c714b9ed118d1f5b88e8419069f
X-Webhook-Signature
required
string
HMAC-SHA256 signature generated by Gother using the webhook request data.
Example: 376210656beec76b3df9283d65dc4a29bd29cb2ae27ecf31b3170564b37fc46e
X-Webhook-Signature
signature = Algorithm `HMAC-SHA256`( signed_payload, SHOPEE_WEBHOOK_SECRET)
| No | Item | Description |
|---|---|---|
| 1 | signed_payload | format : Timestamp + "." + WebhookId + "." + raw_request_body by Timestamp = X-Webhook-Timestamp WebhookId = X-Webhook-Id raw_request_body = JSON BODY |
| 2 | SHOPEE_WEBHOOK_SECRET | genarate by gother |
raw_request_body Example
{
"event": "BOOKING_STATUS_UPDATED",
"booking": {
"bookingInternalNo": "BK202608210001",
"status": "booked"
}
}
Request Body
event
required
String
Event type that indicates the purpose of the webhook.
Example: BOOKING_STATUS_UPDATED
booking
required
Object
Booking information.
Example: Object
bookingInternalNo
required
String
Booking identifier generated by Gother when call book api.
Example: BK202608210001
status
required
String
Current booking status.
Example: "WAIT TO BOOK","WAIT TO CONFIRM"``"BOOKED" , "CANCELED", "USED"
A push is considered successfully received only if the client returns HTTP status code 200 OK along with following JSON response:
Responses
status
required
Boolean
Indicates whether the webhook was successfully processed.
Example: success
webhookId
optional
String
Webhook ID received from
X-Webhook-Id{
"status": "success",
"webhookId": "wh_12796c714b9ed118d1f5b88e8419069f"
}